package bean.query;

public class CondizioniCtrlBean {

	private Integer  contatore;
	private String   campoChiave;
	private String   statement1;
	private String   nomeCampo;
	private String   condizione1;
	private String   congruenzaCondizione1;
	private String   condizione2;
	private String   congruenzaCondizione2;
	private String   statement2;
	private boolean lavorativoCond;
	private String   dataSistemaCond;
	private boolean piazzaturaCond;
	private String   congruenzaCondizione3;
	private String   condizione3;
	private String   congruenzaCondizione4;
	private String   condizione4;
	private boolean flagErrore;
	private boolean obbligatorio;
	private boolean flagLavorativo;
	private String   campoDataSistema;
	private boolean flagSoloGiornoLavorativo;
	private short   flagPiazzatura;
	private boolean flagBancaAderente;
	private String   campoReciprocoPiazzatura;
	private short   controlloCodiceFiscale;
	private boolean controlloCin;
	private String   abiControlloCin;
	private String   cabControlloCin;
	private String   contoControlloCin;
	private boolean controlloIban;
	private String   caratteriAbilitati;
	private String   controlloLunghezzaCampo;

	
	public Integer getContatore() {
		return contatore;
	}
	public void setContatore(Integer contatore) {
		this.contatore = contatore;
	}
	public String getCampoChiave() {
		return campoChiave;
	}
	public void setCampoChiave(String campoChiave) {
		this.campoChiave = campoChiave;
	}
	public String getStatement1() {
		return statement1;
	}
	public void setStatement1(String statement1) {
		this.statement1 = statement1;
	}
	public String getNomeCampo() {
		return nomeCampo;
	}
	public void setNomeCampo(String nomeCampo) {
		this.nomeCampo = nomeCampo;
	}
	public String getCondizione1() {
		return condizione1;
	}
	public void setCondizione1(String condizione1) {
		this.condizione1 = condizione1;
	}
	public String getCongruenzaCondizione1() {
		return congruenzaCondizione1;
	}
	public void setCongruenzaCondizione1(String congruenzaCondizione1) {
		this.congruenzaCondizione1 = congruenzaCondizione1;
	}
	public String getCondizione2() {
		return condizione2;
	}
	public void setCondizione2(String condizione2) {
		this.condizione2 = condizione2;
	}
	public String getCongruenzaCondizione2() {
		return congruenzaCondizione2;
	}
	public void setCongruenzaCondizione2(String congruenzaCondizione2) {
		this.congruenzaCondizione2 = congruenzaCondizione2;
	}
	public String getStatement2() {
		return statement2;
	}
	public void setStatement2(String statement2) {
		this.statement2 = statement2;
	}
	public boolean isLavorativoCond() {
		return lavorativoCond;
	}
	public void setLavorativoCond(boolean lavorativoCond) {
		this.lavorativoCond = lavorativoCond;
	}
	public String getDataSistemaCond() {
		return dataSistemaCond;
	}
	public void setDataSistemaCond(String dataSistemaCond) {
		this.dataSistemaCond = dataSistemaCond;
	}
	public boolean isPiazzaturaCond() {
		return piazzaturaCond;
	}
	public void setPiazzaturaCond(boolean piazzaturaCond) {
		this.piazzaturaCond = piazzaturaCond;
	}
	public String getCongruenzaCondizione3() {
		return congruenzaCondizione3;
	}
	public void setCongruenzaCondizione3(String congruenzaCondizione3) {
		this.congruenzaCondizione3 = congruenzaCondizione3;
	}
	public String getCondizione3() {
		return condizione3;
	}
	public void setCondizione3(String condizione3) {
		this.condizione3 = condizione3;
	}
	public String getCongruenzaCondizione4() {
		return congruenzaCondizione4;
	}
	public void setCongruenzaCondizione4(String congruenzaCondizione4) {
		this.congruenzaCondizione4 = congruenzaCondizione4;
	}
	public String getCondizione4() {
		return condizione4;
	}
	public void setCondizione4(String condizione4) {
		this.condizione4 = condizione4;
	}
	public boolean isFlagErrore() {
		return flagErrore;
	}
	public void setFlagErrore(boolean flagErrore) {
		this.flagErrore = flagErrore;
	}
	public boolean isObbligatorio() {
		return obbligatorio;
	}
	public void setObbligatorio(boolean obbligatorio) {
		this.obbligatorio = obbligatorio;
	}
	public boolean isFlagLavorativo() {
		return flagLavorativo;
	}
	public void setFlagLavorativo(boolean flagLavorativo) {
		this.flagLavorativo = flagLavorativo;
	}
	public String getCampoDataSistema() {
		return campoDataSistema;
	}
	public void setCampoDataSistema(String campoDataSistema) {
		this.campoDataSistema = campoDataSistema;
	}
	public boolean isFlagSoloGiornoLavorativo() {
		return flagSoloGiornoLavorativo;
	}
	public void setFlagSoloGiornoLavorativo(boolean flagSoloGiornoLavorativo) {
		this.flagSoloGiornoLavorativo = flagSoloGiornoLavorativo;
	}
	public short getFlagPiazzatura() {
		return flagPiazzatura;
	}
	public void setFlagPiazzatura(short flagPiazzatura) {
		this.flagPiazzatura = flagPiazzatura;
	}
	public boolean isFlagBancaAderente() {
		return flagBancaAderente;
	}
	public void setFlagBancaAderente(boolean flagBancaAderente) {
		this.flagBancaAderente = flagBancaAderente;
	}
	public String getCampoReciprocoPiazzatura() {
		return campoReciprocoPiazzatura;
	}
	public void setCampoReciprocoPiazzatura(String campoReciprocoPiazzatura) {
		this.campoReciprocoPiazzatura = campoReciprocoPiazzatura;
	}
	public short getControlloCodiceFiscale() {
		return controlloCodiceFiscale;
	}
	public void setControlloCodiceFiscale(short controlloCodiceFiscale) {
		this.controlloCodiceFiscale = controlloCodiceFiscale;
	}
	public boolean isControlloCin() {
		return controlloCin;
	}
	public void setControlloCin(boolean controlloCin) {
		this.controlloCin = controlloCin;
	}
	public String getAbiControlloCin() {
		return abiControlloCin;
	}
	public void setAbiControlloCin(String abiControlloCin) {
		this.abiControlloCin = abiControlloCin;
	}
	public String getCabControlloCin() {
		return cabControlloCin;
	}
	public void setCabControlloCin(String cabControlloCin) {
		this.cabControlloCin = cabControlloCin;
	}
	public String getContoControlloCin() {
		return contoControlloCin;
	}
	public void setContoControlloCin(String contoControlloCin) {
		this.contoControlloCin = contoControlloCin;
	}
	public boolean isControlloIban() {
		return controlloIban;
	}
	public void setControlloIban(boolean controlloIban) {
		this.controlloIban = controlloIban;
	}
	public String getCaratteriAbilitati() {
		return caratteriAbilitati;
	}
	public void setCaratteriAbilitati(String caratteriAbilitati) {
		this.caratteriAbilitati = caratteriAbilitati;
	}
	public String getControlloLunghezzaCampo() {
		return controlloLunghezzaCampo;
	}
	public void setControlloLunghezzaCampo(String controlloLunghezzaCampo) {
		this.controlloLunghezzaCampo = controlloLunghezzaCampo;
	}
	
}
